НАЗВАНИЕ
    netsukuku.conf - файл конфигурации демона Netsukuku
    
РАСПОЛОЖЕНИЕ
    /etc/netsukuku/netsukuku.conf
    
ОПИСАНИЕ
    ntkd(8) загружает настройки из параметров командной строки и из файла  
    netsukuku.conf. Опции, которые изменяются редко, находятся в файле 
    конфигурации. Файл netsukuku.conf по умолчанию находится тут
    /etc/netsukuku/netsukuku.conf.
    
    Коментарии начинаются со знака '#'. Если опция закоментирована, то ntkd 
    будет использовать ее значение по умолчанию.    

    Символ '=' используется для того чтобы присвоить значение опции.
  
    Любая опция переопределяется через параметры командной строки при старте 
    демона.

ОПЦИИ
  ОГРАНИЧЕННЫЙ РЕЖИМ
    ntk_restricted_mode = *bool*
        Если установлен в 1, ntkd будет работать в ограниченном режиме,
        совместимом с Интернет. В ограниченном режиме, могут быть выбраны
        только IP адреса старшей частной подсети, такие, как 10.x.x.x 

        По умолчанию: *0*

    ntk_restricted_class = *bool*
        Если установлен в 1 то могут быть выбраны только IP адреса из ряда
        172.16.0.0-172.31.255.255 (используй эту опцию, только если не можешь
        использовать адреса класса 10.x.x.x).

        По умолчанию: *0*
        
  ИНТЕРНЕТ СОЕДИНЕНИЕ
    Все эти опции требуют опции ntk_restricted_mode выставленной в 1.

    internet_connection = *bool*
        Если установлено 1, это означает, что компьютер имеет активное 
        интернет-соединение. Помни, что ntkd перезапишет путь по умолчанию,
        если эта опция будет установлена в 0 будет использовать 
        интернет-соединение других узлов.

        По умолчанию: *0*

    internet_gateway = *IP:interface*
	Эта опция определяет шлюз, используемый по *localhost* установленный 
	по умолчанию до соединения с Интернетом. Она необходима, если у тебя
	нету пути, установленного по умолчанию, когда ты запустил ntkd
	(т.е. ты все еще не соединен). Если ты не определишь эту опцию, ntkd
	автоматически установит в значени шлюза по умолчанию из таблицы 
	маршрутов. Например: internet_gateway = 192.168.1.1:eth0

        По умолчанию: *(null)*

    internet_download_rate = *Кб*
        Эта опция требует, чтобы опция internet_connection была установлена
        в 1. Она устанавливает максимальную скорость загрузки данных из
        Интернета в КилоБайтах/секунду. Например:

                internet_download_rate = 640

        По умолчанию: *(null)*

    internet_upload_rate = *Kb*
        Эта опция требует, чтобы опция internet_connection была установлена
        в 1. Она устанавливает максимальную скорость отправки данных в
        Интернет в КилоБайтах/секунду. Например:

                internet_upload_rate = 30

        По умолчанию: *(null)*

    internet_ping_hosts = *host1:host2:host3:...*
        
        Определяет список имен Интернет узлов, которые ntkd будет периодически
        пинговать, чтобы проверять состояние Интернет-соединения. Если все они
        недоступны, значит Интернет-соединение потеряно. Если хотя бы один из 
        них доступен, ntkd снова запускает поиск Интернет Шлюза. 

        Например:

                internet_ping_hosts = google.com:cisco.com:sourceforge.net:dyne.org

        Эта опция не имеет значения по умолчанию. Ее нужно специально 
        определять в файле netsukuku.conf

    share_internet = *bool*
        Если опция установлена в 1, то ntkd делится своим Интернет соединением
        со всеми остальными узлами Netsukuku. 

        По умолчанию: *1*

    shape_internet = *bool*
        Определяет, будет ли ntkd запускать /etc/netsukuku/tc_shaper.sh скрипт
        для активации формирования Интернет-траффика.

        По умолчанию: *0*

    use_shared_internet = *bool*
        Определяет, будет ли ntkd соблюдать баланс между Интернет-траффиком 
        своего узла и траффиком Интернте-соединений узлов, которые делятся с узлом
        своим Интернет-соединением. Если установлен в 0, то localhost (эта машина) 
        использует только свое соединение.

        По умолчанию: *1*

  ANDNA
    disable_andna = *bool*
        Если установлено в 1, то ntkd не загружает ANDNA(8) демона. Вожно!
        Если демон ANDNA отключен, то система andna не будет работать вообще.
        Т.е. невозможно будет регистрировать и продлевать твои доменные имена.

        По умолчанию: *0*

    disable_resolvconf = *bool*
        Когда ntkd запускается, он меняет /etc/resolv.conf, прописывая в нем 
        первой строчкой "nameserver 127.0.0.1". Старый /etc/resolv.conf копируется
        в /etc/resolv.conf.bak. Когда, демон завершает работу, старый /etc/resolv.conf
        восстанавливается. Если ты хочешь отключить этот функционал, выстви
        disable_resolvconf в 1. Если функционал будет отключен, ты не сможешь 
        узнавать доменные имена!

        По умолчанию: *0*

  ОГРАНИЧЕНИЯ
    Важно: в текущей версии ntkd эти ограничения не работают!

    ntk_max_connections = *number*
        Сколько соединений ntkd демон может обрабатывать одновременно.

        По умолчанию: *512*

    ntk_max_accepts_per_host = *number*
        Как много одновременных соединений разрешены демону с одного узла.

        По умолчанию: *16*

    max_accepts_per_host_time = *seconds*
        Время ожидания, необходимое хосту, чтобы переприсоединиться, после того
        как все ntk_max_accepts_per_host использованы.

        По умолчанию: *4*
         
  ФАЙЛЫ
    pid_file = *имя файла*
        ntkd сохраняет в этот файл id своего процесса. Это используется для 
        того, чтобы другие копии ntkd, загружаясь, узнавали, что один ntkd
        демон уже запущен. Только одна копия может работать в один момент.

        По умолчанию: */var/run/ntkd.pid*

    ntk_ext_map_file = *имя файла*
    ntk_int_map_file = *имя файла*
    ntk_bnode_map_file = *имя файла*
        Определяет пути к картам, сохраняемым демоном.

        По умолчанию: */usr/share/netsukuku/ext_map_file*

        По умолчанию: */usr/share/netsukuku/int_map_file*

        По умолчанию: */usr/share/netsukuku/bnode_map_file*

    andna_hnames_file = *имя файла*
        Определяет путь к файлу, в котором хранятся ANDNA именя для локального
        узла. Эти имена регистрируются в ANDNA.

        По умолчанию: */etc/netsukuku/andna_hostnames*

    snsd_nodes_file = *имя файла*
        snsd_nodes_file хранит список SNSD записей, которые регистрируются в
        ANDNA.

        По умолчанию: */etc/netsukuku/snsd_nodes*

    andna_lclkey_file = *имя файла*
        Определяет размещение файла *локального брелка*(*local keyring*). 
        В нем хранятся открытые и закрытые ключи ANDNA. Бережно относитесь к 
        этому файлу. Без него вы не сможете держать свои доменные имена и 
        потеряете их.

        По умолчанию: */usr/share/netsukuku/andna_lcl_keyring*

    andna_cache_file = *имя файла*
    andna_lcl_file = *имя файла*
    andna_rhc_file = *имя файла*
    andna_counter_c_file = *имя файла*
        Определяет пути к файлам кэша ANDNA демона.

        По умолчанию: */usr/share/netsukuku/andna_cache*

        По умолчанию: */usr/share/netsukuku/andna_lcl_cache*

        По умолчанию: */usr/share/netsukuku/andna_rh_cache*

        По умолчанию: */usr/share/netsukuku/andna_counter_cache*

    ip_masquerade_script = *имя файла*
        Определяет путь к скрипту IP маскарада. Этот скрипт запускается
        демоном Netsukuku, когда он запускается и делит свое Интернет-соединение
        с другими узлами. Этот скрипт активирует IP маскарад. Этот же скрипт 
        отключает IP маскарад, когда демон завершает работу.

        По умолчанию: */etc/netsukuku/ip_masquerade.sh*

    tc_shaper_script = *имя файла*
        Определяет путь скрипту формирования траффика. Этот скрипт 
        управляет формированием траффика согласно полосе пропускания.
        Он запускается ntkd при старте, когда соответствующая опция
        установлена.

        По умолчанию: */etc/netsukuku/tc_shaper.sh*

КОНТАКТЫ
    Подпишись в список рассылки, чтобы получать помощь и получать последние 
    новости. А также, чтобы быть в курсе последних направлений разработки.

    Чтобы подписаться, отправь письмо сюда:
    netsukuku-subscribe@lists.dyne.org

    Мы живем круглосуточно в IRC, заходи сюда: #netsukuku на
    FreeNode irc server (irc.freenode.org).
     
АВТОРЫ
    Главные авторы и разработчики:

    Andrea Lo Pumo aka AlpT <alpt@freaknet.org>

    Главные учатники:

    Andrea Leofreddi <andrea.leofreddi@gmail.com>, Katolaz
    <katolaz@freaknet.org>, Federico Tomassini <effetom@gmail.com>

    Чтобы прочесть полный список АВТОРОВ, посети:
    <http://netsukuku.freaknet.org/?p=Contacts>

СМОТРИ ТАКЖЕ
    Для получения большей информации про Netsukuku:
    <http://netsukuku.freaknet.org>

    ntkd(8), ntk-wifi(8), andna(8), iproute2(8), route(8)
        
        
      
